## Zabbix install script for Ubuntu 22.04 and 24.04 server.

### Prerequisites
Ubuntu 22.04 or higher with Nginx and MariaDB. Nginx can be installed from 
[\[Here\]](https://git.x-files.dk/ubuntu-web-server/nginx-install)
and MariaDB can be install from 
[\[Here\]](https://git.x-files.dk/ubuntu-database-server/mariadb-install)

### Download the script
```
git clone https://git.x-files.dk/ubuntu-web-application/zabbix-install.git
```

### Usage
    cd zabbix-install
    sudo ./zabbixinstall [-n] <domain name> [-p] <zabbix database pwd>

### Example
    sudo ./zabbixinstall -n zabbix.something.xyz -p zabbixdatabasepwd

This will create a Zabbix site running on port 80 with the domain name you chose under the installation.
Don't worry though this can easily be fixed by modifying the Nginx configuration later.
If you need an example on how to configure Nginx to run this on port 443 I an example
[\[Here\]](https://git.x-files.dk/ubuntu-web-server/nginx-install/src/branch/main/cfg-apps/zabbix.443.conf)

### Configuration
Once the script is done browse to http://<i></i>zabbix.something.xyz and fill out the mandatory fields marked with green.
<p align="center" width="100%"><img src="https://git.x-files.dk/assets/zabbix-configuration1.png" alt="Zabbix Configuration"/></p>
<p align="center" width="100%"><img src="https://git.x-files.dk/assets/zabbix-configuration2.png" alt="Zabbix Configuration"/></p>
<p align="center" width="100%"><img src="https://git.x-files.dk/assets/zabbix-configuration3.png" alt="Zabbix Configuration"/></p>

**Post install:**\
Nothing to do.

### Troubleshooting
Most issues will probably be caused by the fact that we all set up and configure Nginx diffrently. If you encounter problems I would suggest you look at the Nginx configuration I use 
[\[Here\]](https://git.x-files.dk/ubuntu-web-server/nginx-install/src/branch/main/cfg/nginx.conf)
and also the default "sites-enabled" Nginx configurarion I use 
[\[Here\]](https://git.x-files.dk/ubuntu-web-server/nginx-install/src/branch/main/cfg/default) 
when you start troubleshooting.

### More guides
More guides can be found on [\[wiki.x-files.dk\]](https://wiki.x-files.dk)

### Last tested
October 10th 2024 on Ubuntu 24.04.
